> For the complete documentation index, see [llms.txt](/llms.txt).

# Get list of documents uploaded

**GET** `https://www.iwoca.co.uk/api/lending/v2.2/document_upload/{customer_id}/`

Returns information about supporting documents previously uploaded for this customer. For some types of document this may include the document's acceptance status or certain information extracted from it. For more information, see 'Upload customer documents' in the documentation.

## Path parameters
- `customer_id` (string, required) — The unique customer_id used to represent a customer.

## Query parameters
- `document_types` (array) — When provided, fetches documents only for the corresponding types, else fetches all

## Responses
### 200 — List of documents uploaded for the customer.
```json
{
  "data": [
    {
      "attributes": {
        "company_name": "string",
        "coverage": [
          {
            "end_date": "2024-01-01",
            "start_date": "2024-01-01"
          }
        ],
        "document_name": "string",
        "document_type": "bank statement",
        "end_date": "2024-01-01",
        "is_verified": true,
        "registration_number": "string",
        "reject_reason": "ILLEGIBLE",
        "start_date": "2024-01-01",
        "status": "complete",
        "uploaded_at": "2024-01-01T00:00:00Z"
      },
      "id": "string",
      "relationships": {
        "bank_account": {
          "data": {
            "id": "string",
            "type": "bank_account"
          }
        }
      },
      "type": "bank_statement"
    }
  ],
  "included": [
    {
      "attributes": {
        "account_name": "string",
        "account_number": "string",
        "bank_name": "string",
        "coverage": [
          {
            "end_date": "2024-01-01",
            "start_date": "2024-01-01"
          }
        ],
        "currency": "string",
        "sort_code": "string"
      },
      "id": "string",
      "type": "bank_account"
    }
  ]
}
```

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {},
      "source": {
        "parameter": "string",
        "pointer": "string"
      }
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "AuthenticationFailed",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 409 — Conflict
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 429 — Too Many Requests
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl 'https://www.iwoca.co.uk/api/lending/v2.2/document_upload/<customer_id>/?document_types=<document_types>' \
  --header 'Authorization: Bearer <api-key>'
```